import { Inject, Injectable, Logger } from '@nestjs/common';
import { ClientProxy } from '@nestjs/microservices';

@Injectable()
export class FisFingerprintService {
  private logger: Logger = new Logger(`FisFingerprintService`)

  constructor(
    @Inject(`SAMPLEAPP_SERVICE`) private sampleAppClient: ClientProxy,
    @Inject(`VERIFICATION_SERVICE`) private verificationClient: ClientProxy
  ) {
    // logic here
    setTimeout(() => {
      this.sampleAppClient.emit(`message`, `Fingeprint says HI`)
    }, 5000)
  }

  verifyFingeprint(message: any): any {
    this.logger.log(`Sending message to verification microservice`)
    this.verificationClient.emit(`message`, message)
  }

}  
