export interface Message {
    id: string;
    payload: any;
}

export interface ConnectionState {
    uuid?: string | number;
    status: 'BUFFER' | 'DIRECT_PUBLISH' | 'LIMIT_EXCEEDED',
    reason?: string;
    payload?: any;
}


export interface WrappedMessage {
    timeReceived: Date,
    payload: any
    thisMessageID: string,
    previousMessageID: string | null,
}


/* These are just sample interfaces to test with the verification process. */

export interface FisMessage {
    header: {
        messageID: string,
        messageName: string
    },
    data: any
}

export interface FingerprintPayloadUI {
    id: string,
    cmd: `Registration` | `Verification` | `QualityAssurance`,
    date: Date,
    personInfo: PersonInfo,
    fpScan: string,
    fingerPosition: number
}
export interface FingerprintPayload extends FingerprintPayloadUI {
    fpTemplateArray: Fingerprint[]
}

export interface JavaResponse {
    id: string,
    operation: `Registration` | `Verification` | `QualityAssurance`,
    status: `Failed` | `Success` | `Registered` | `Not Registered`,
    message: string,
    data: PersonFingerprintData,
    edgeScore: number,
    score: number 
}
export interface PersonFingerprintData {
    id: string,
    name: string,
    org: string,
    code: string,
    fingerprints: Fingerprint[]
}

export interface Fingerprint {
    name: string,
    fpPosition: number,
    fpTemplate: string,
}

export interface PersonInfo {
    id: string,
    name: string,
    org: string,
    code: number
}
